/*!
Theme Name: Affirm Child
Theme URI: https://uicore.co
Description:  Marketing & Digital Agency WordPress Theme
Author: UiCore
Author URI: https://uicore.co
Template: affirm
Version: 1.0.0
Text Domain: affirm
*/

/* Add your custom style here */

.uicore-navbar a.uicore-btn {
    border-radius: 5px 5px 5px 5px !important;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 10px;
    font-weight: 700 !important;
}

.heading-title {
    color: #051259;
    text-align: center;
    margin-top: 0;
    margin-bottom: 0;
    font-family: Circularstd, sans-serif;
    font-size: 48px;
    line-height: 48px;
}

.hero-image {
    object-fit: contain;
    object-position: 50% 50%;
    flex: none;
    width: 100%;
    height: 416px;
}

.pink-span {
    color: #ff6584;
}


/* header  */

.phone-header a{
    font-family: "Inter", Sans-serif;
    font-size: 13px;
    font-weight: 500;
    text-transform: None;
    line-height: 1em !important;
    letter-spacing: 0em !important;
    color: #FFF !important;
    background-color: #3B8EF3 !important;
    border-style: none !important;
    border-radius: 5px !important;
    padding-top: 5px !important;
    padding-bottom: 5px !important;
    padding-left: 7px !important;
    padding-right: 7px !important;
    margin-left: 5px !important;
}

.phone-header a::before {
    content: url('images/tel.svg'); /* Replace 'icon.svg' with the path to your SVG icon */
    display: inline-block;
    vertical-align: middle; 
    width: 15px;
    height: 15px;
    margin-right: 2px;
    fill: #fff;
}

/* footer  */

#uicore-tb-footer h4 {
    margin: 16px 0px !important;
    font-size: 14px !important;
    line-height: 24px !important;
    letter-spacing: 1px !important;
    text-transform: uppercase !important;
}

#uicore-tb-footer ul li a {
    padding: 0 !important;
    display: block;
    text-decoration: none;
    font-weight: 500;
    font-size: 13px !important;
    line-height: 16px;
    padding-bottom: 10px !important;
}

/* Menu */


.uicore-navbar nav.uicore ul.sub-menu:not(.uicore-megamenu):first {
    padding: 35px !important;
}

.uicore-navbar nav.uicore ul.sub-menu, .uicore-navbar nav.uicore ul.sub-menu:not(.uicore-megamenu) {
    /*min-width: 380px !important;*/
}

.section_mega_menu .multi_col {
    border: 0 solid #000;
    border-right: 1px solid rgba(0, 0, 0, .1);
    width: 100%;
    max-width: 571px;
    padding-right: 12px;
}

.section_mega_menu .multi_col a:first{
    color: #999;
}


.section_mega_menu .multi_col .sub-menu .menu-item {
    background-color: transparent !important;
    border-radius: 8px !important;
    justify-content: flex-start !important;
    align-items: center !important;
    width: 100%;
    max-width: 275px !important;
    margin-bottom: 2px !important;
    text-decoration: none !important;
    transition: all .12s !important;


    float: left; /* Align items horizontally */
    width: calc(50% - 20px); /* Adjust width to fit 3 items per row */
    margin: 10px; /* Spacing between items */
    padding: 2px 12px !important;
    box-sizing: border-box; /* Include padding in width calculation */  
}


.section_mega_menu .multi_col .sub-menu .menu-item a {
    padding-left: 0px !important;
    padding-right: 0px !important;
}


.section_mega_menu .multi_col .sub-menu .menu-item .custom-menu-desc {
    color: #495057;
    font-family: Inter, sans-serif;
    font-size: 12px;
    line-height: 16px;
}

.mega_heading a:first {
    color: #999;
    margin-bottom: 24px;
    font-family: Inter, sans-serif;
    font-weight: 500;
    line-height: 16px;
}


/* formulaires */


.gform-theme--framework .gf_progressbar .percentbar_blue {
    background-color: #3B8EF3 !important;
}

.gform-theme--framework input[type="button"] ,
.gform-theme--framework input[type="submit"]
{
    background-color: #3B8EF3 !important;
    color: #fff !important;
}


.elementor-widget-bdt-gravity-form{
    max-width: 576px !important;
    margin: 0 auto;
}


.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice-image-wrap{
    background-image: none !important;
}

.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice-image-wrap img{
    padding: 15% 20% !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important; 
}


.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice-text, 
.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice-price {
    color: #0c213a !important;
    font-weight: 600 !important;
}


.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice label {
    padding: 0 !important;
    margin: 0 auto !important;
    width: 100% !important;
    height: 100% !important;
    text-align: center !important;
    flex-direction: column !important;
    overflow: hidden !important;
    justify-content: initial !important;
    transition: all !important;
    transition-duration: 0.1s !important;
    box-shadow: none !important;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: #eaeaeb !important;
    border-radius: 8px !important;
    background: transparent !important;
}


.elementor-widget-bdt-gravity-form .image-choices-field.image-choices-show-labels .image-choices-choice-text{
    width: 100%;
    flex-direction: column;
    transition: all;
    transition-duration: 0.1s;
    border-top-width: 0px;
    border-top-style: solid;
    border-top-color: transparent;
    background: transparent;
    text-align: center;
    padding: 0 24px 24px;
    flex: 1;
}


.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice
{
    display: flex !important;
    width: 100%;
    flex-direction: column;
    transition: all;
    flex: 1;
}

.elementor-widget-bdt-gravity-form .image-choices-choice .gform-field-label--type-inline
{
    min-width: 185px !important;
    position: relative !important;
    cursor: pointer !important;
    display: flex !important;
    transition: all !important;
    transition-duration: 0.1s !important;
    box-shadow: none !important;
    background: transparent !important;
    padding: unset !important;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: #dee2e6 !important;
    border-radius: 5px !important;
    flex-direction: row-reverse !important;
    justify-content: unset !important;
    align-items: center !important;
}


.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice .gftt-icon
{
    display: none !important;
}

.elementor-widget-bdt-gravity-form .image-choices-field .image-choices-choice .gftt-content 
{
    width: 100% !important;
    align-items: center !important;
}

.elementor-widget-bdt-gravity-form .gfield--input-type-radio .gchoice .gftt-icon
{
    display: none !important;
}

.elementor-widget-bdt-gravity-form .gfield--input-type-radio .gchoice .gftt-content 
{
    margin-left: 10px;
}

.elementor-widget-bdt-gravity-form .gfield--input-type-radio .gchoice:not(.image-choices-choice)
{
    min-width: 185px !important;
    position: relative !important;
    cursor: pointer !important;
    display: flex !important;
    transition: all !important;
    transition-duration: 0.1s !important;
    box-shadow: none !important;
    background: transparent !important;
    padding: unset !important;
    border-width: 1px !important;
    border-style: solid !important;
    border-color: #dee2e6 !important;
    border-radius: 5px !important;
    justify-content: unset !important;
    align-items: center !important;
    padding: 17px !important;
    margin-top: 5px;
    margin-bottom: 5px;
}

.elementor-widget-bdt-gravity-form .gfield--input-type-radio .gchoice:not(.image-choices-choice) .gform-field-label
{
    color: #69719b !important;
    font-size: 16px !important;
    font-family: "Inter" !important;
    text-transform: initial !important;
    letter-spacing: initial !important;
    font-weight: 600 !important;
    line-height: 1.25 !important;
    text-decoration: none !important;
}

.elementor-widget-bdt-gravity-form .gfield--input-type-radio .gchoice:not(.image-choices-choice) .gftt-content
{
    color: rgba(105, 113, 155, 0.8) !important;
    font-size: 0.825em !important;
    font-family: "Inter" !important;
    text-transform: unset !important;
    letter-spacing: initial !important;
    font-weight: normal !important;
    line-height: 1.25 !important;
}


.gform_confirmation_message{
    text-align: center !important;
}

.elementor-widget-bdt-gravity-form svg {
    color: #3392ff;
    fill: #3392ff;
}

/* civilite */

.gform-theme--framework .civilite .gfield_radio {
    flex-direction: row !important;
}

.gform-theme--foundation .gform_fields{
    row-gap: 13px !important;
}

.elementor-widget-bdt-gravity-form input{
    color: #69719b !important;
    border-color: #dee2e6 !important;
}

/* formulaires HTML */

.rich-text {
    word-break: break-word;
    hyphens: initial;
}

.rich-list-v2 {
    width: unset;
    margin: unset;
}


.rich-list-v2-options {
    flex-wrap: wrap;
    display: grid;
    column-gap: 2em;
    row-gap: 2em;
    flex-direction: column;
    justify-content: flex-start;
    align-items: unset;
}


.rich-list-v2-option {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    padding: 0px;
    background: none;
    border-width: 0px;
    border-style: solid;
    border-color: #eaeaeb;
    border-radius: 3px;
    text-align: unset;
    gap: 15px;
}


.rich-list-v2-option .label {
    hyphens: auto;
    font-family: "Inter";
    color: #0A0908;
    font-size: 1rem;
    font-weight: 600;
    line-height: 1;
    letter-spacing: normal;
    text-transform: unset;
    padding-bottom: 0.3em;
}


.rich-list-v2-option .text {
    font-family: "Inter";
    color: #5a5a5a;
    font-size: 0.9rem;
    font-weight: normal;
    line-height: 1.3;
    letter-spacing: normal;
    text-transform: unset;
}


body #wfacp-e-form button[type=button]:not(.white):not(.black){
    background-color: #3B8EF3 !important;
}


body:not(.wfacpef_page):not(.wfacp_oxygen_template) #wfacp-e-form .woocommerce #payment button#place_order, 
body:not(.wfacpef_page):not(.wfacp_oxygen_template) #wfacp-e-form .woocommerce .wfacp-next-btn-wrap button
{
    padding: 10px 10px 10px 10px !important;
    margin: 0px 0px 0px 0px !important;
    border-radius: 8px 8px 8px 8px !important;
}

.bdt-price-list-price{
    width: auto !important;
    padding: 9px !important;
}


.flow-card-content .elementor-button-content-wrapper{
    display: flex !important;
    flex-direction: column !important;
    align-items: center !important;
    gap: 16px !important;
    align-self: stretch !important;
}

.flow-card-content .elementor-button-content-wrapper .elementor-button {
  height: auto !important;
}

.flow-card-content .elementor-button-content-wrapper .elementor-button-icon{
    height: auto !important;
    max-width: 100% !important;
}

.flow-card-content .elementor-button-content-wrapper .elementor-button-icon svg {
  width: 100% !important;
  height: auto !important;
}


.elementor-button{
    width: 97% !important;
    min-height: 48px !important;
    padding: 16px 30px !important;
}

.addbtnUrl .elementor-button{
    text-align: center;
    flex: 1;
    width: 100% !important;
    padding-left: 8px;
    padding-right: 8px;
}


@media (max-width: 600px) {
    .elementor-button{
        width: 100% !important;
    }
}


/* Media query to hide element on mobile devices */
.uicore-mobile-head-right .uicore-cta-wrapper {
   display: none !important;
}

.phone-header a{
    background-color: var(--e-global-color-uicore_primary) !important;
}


.wfacp_showcoupon {
    display: none;
}

.wfacp_coupon_collapsed{
    display: block !important;
}

.wfacp-coupon-field-btn{
    text-transform: lowercase;
}

.wfacp-coupon-field-btn::first-letter {
    text-transform: uppercase;
}